<?php
namespace Neos\Flow\Persistence\Doctrine\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration,
	Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your need!
 */
class Version20141213123724 extends AbstractMigration {

	/**
	 * @param Schema $schema
	 * @return void
	 */
	public function up(Schema $schema) {
		// this up() migration is autogenerated, please modify it to your needs
		$this->abortIf($this->connection->getDatabasePlatform()->getName() != "mysql");
		
		$this->addSql("CREATE TABLE kaystrobach_documents_domain_model_file (persistence_object_identifier VARCHAR(40) NOT NULL, originalresource VARCHAR(40) DEFAULT NULL, name VARCHAR(255) NOT NULL, UNIQUE INDEX UNIQ_AA29A1C24E59BB9C (originalresource), PRIMARY KEY(persistence_object_identifier)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
		$this->addSql("CREATE TABLE kaystrobach_documents_domain_model_folder (persistence_object_identifier VARCHAR(40) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(persistence_object_identifier)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
		$this->addSql("CREATE TABLE kaystrobach_documents_domain_model_folder_folders_join (documents_folder VARCHAR(40) NOT NULL, INDEX IDX_6976C16B1F273F8B (documents_folder), PRIMARY KEY(documents_folder)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
		$this->addSql("CREATE TABLE kaystrobach_documents_domain_model_folder_files_join (documents_folder VARCHAR(40) NOT NULL, documents_file VARCHAR(40) NOT NULL, INDEX IDX_6061F6DE1F273F8B (documents_folder), INDEX IDX_6061F6DEC875F534 (documents_file), PRIMARY KEY(documents_folder, documents_file)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
		$this->addSql("CREATE TABLE kaystrobach_documents_domain_model_workspace (persistence_object_identifier VARCHAR(40) NOT NULL, folder VARCHAR(40) DEFAULT NULL, name VARCHAR(255) NOT NULL, INDEX IDX_5C3BF4BBECA209CD (folder), PRIMARY KEY(persistence_object_identifier)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_file ADD CONSTRAINT FK_AA29A1C24E59BB9C FOREIGN KEY (originalresource) REFERENCES typo3_flow_resource_resource (persistence_object_identifier)");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_folders_join ADD CONSTRAINT FK_6976C16B1F273F8B FOREIGN KEY (documents_folder) REFERENCES kaystrobach_documents_domain_model_folder (persistence_object_identifier)");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_files_join ADD CONSTRAINT FK_6061F6DE1F273F8B FOREIGN KEY (documents_folder) REFERENCES kaystrobach_documents_domain_model_folder (persistence_object_identifier)");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_files_join ADD CONSTRAINT FK_6061F6DEC875F534 FOREIGN KEY (documents_file) REFERENCES kaystrobach_documents_domain_model_file (persistence_object_identifier)");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_workspace ADD CONSTRAINT FK_5C3BF4BBECA209CD FOREIGN KEY (folder) REFERENCES kaystrobach_documents_domain_model_folder (persistence_object_identifier)");
	}

	/**
	 * @param Schema $schema
	 * @return void
	 */
	public function down(Schema $schema) {
		// this down() migration is autogenerated, please modify it to your needs
		$this->abortIf($this->connection->getDatabasePlatform()->getName() != "mysql");
		
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_files_join DROP FOREIGN KEY FK_6061F6DEC875F534");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_folders_join DROP FOREIGN KEY FK_6976C16B1F273F8B");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_folder_files_join DROP FOREIGN KEY FK_6061F6DE1F273F8B");
		$this->addSql("ALTER TABLE kaystrobach_documents_domain_model_workspace DROP FOREIGN KEY FK_5C3BF4BBECA209CD");
		$this->addSql("DROP TABLE kaystrobach_documents_domain_model_file");
		$this->addSql("DROP TABLE kaystrobach_documents_domain_model_folder");
		$this->addSql("DROP TABLE kaystrobach_documents_domain_model_folder_folders_join");
		$this->addSql("DROP TABLE kaystrobach_documents_domain_model_folder_files_join");
		$this->addSql("DROP TABLE kaystrobach_documents_domain_model_workspace");
	}
}